<?php
namespace Pay\WxPay\Modules;

abstract class WxPayDataBaseTest extends \PHPUnit_Framework_TestCase
{
    /**
     * @return WxPayDataBase
     */
    abstract protected function getModel();

    public function testOptionsIsMutable()
    {
        $key = mt_rand();
        $sign = $this->getModel()->createSign($key);
        $this->getModel()->setSign($sign);
        self::assertEquals($sign, $this->getModel()->getSign());
        self::assertTrue($this->getModel()->isSetSign());

        $xml = '<xml><appid>wx2421b1c4370ec43b</appid><attach>支付测试</attach><body>JSAPI支付测试</body><mch_id>10000100</mch_id><detail><![CDATA[{ "goods_detail":[ { "goods_id":"iphone6s_16G", "wxpay_goods_id":"1001", "goods_name":"iPhone6s 16G", "quantity":1, "price":528800, "goods_category":"123456", "body":"苹果手机" }, { "goods_id":"iphone6s_32G", "wxpay_goods_id":"1002", "goods_name":"iPhone6s 32G", "quantity":1, "price":608800, "goods_category":"123789", "body":"苹果手机" } ] }]]></detail><nonce_str>1add1a30ac87aa2db72f57a2375d8fec</nonce_str><notify_url>http://wxpay.weixin.qq.com/pub_v2/pay/notify.v2.php</notify_url><openid>oUpF8uMuAJO_M2pxb1Q9zNjWeS6o</openid><out_trade_no>1415659990</out_trade_no><spbill_create_ip>14.23.150.211</spbill_create_ip><total_fee>1</total_fee><trade_type>JSAPI</trade_type><sign>0CB01533B8C1EF103065174F50BCA001</sign></xml>';
        $this->getModel()->initValuesFromXml($xml);

        $xml = simplexml_load_string($xml);

        self::assertEquals($xml, simplexml_load_string($this->getModel()->toXml()));
        self::assertNotEmpty($this->getModel()->getValues());

        self::assertTrue(strlen($this->getModel()->createSign($key)) > 0);
    }

    /**
     * @expectedException Pay\WxPay\WxPayException
     */
    public function testErrorXmlThrowsException()
    {
        $xml = '';
        $this->getModel()->initValuesFromXml($xml);
    }
}
